#include <stdio.h>
#include <elf.h>
#define PAGE_SIZE 4096

struct doublelink {
unsigned int next;
unsigned int prev;
} Proc_init;

struct task_temp {
unsigned int next;
unsigned int prev;
} Proc_task;

struct vma_temp {
unsigned int next;
unsigned int prev;
} vma_task;

struct mypage {
	unsigned int list_next;
	unsigned int list_prev;
	unsigned int mapping;
	unsigned int index;
	unsigned int next_hash;
	unsigned int count;
	unsigned long flags;
	unsigned int lru_next;
	unsigned int lru_prev;
	unsigned int pte_union;
	unsigned int direct_union;
	unsigned char age;
//	unsigned int pprev_hash;
	unsigned int buffer_head;

 	unsigned int virtuall;
} memmap;	

union swap_header {
        struct
        {
               char reserved[PAGE_SIZE - 10];
               char magic[10];                  /* SWAP-SPACE or SWAPSPACE2 */
        } magic;
        struct
        {
               char          bootbits[1024];    /* Space for disklabel etc. */
               unsigned int version;
               unsigned int last_page;
               unsigned int nr_badpages;
               unsigned int padding[125];
               unsigned int badpages[1];
        } info;
};

